Debian Bug report logs - #237060
texconfig should not stop when unimportant files are missing

version graph

Package: tetex-bin; Maintainer for tetex-bin is (unknown);

Reported by: Lars Brueckner <lars.brueckner@ito.tu-darmstadt.de>

Date: Sun, 15 Feb 2004 01:18:01 UTC

Severity: minor

Tags: upstream

Found in versions 2.0.2-5, 2.0.2-9

Fixed in version 2007-1

Done: Hilmar Preusse <hille42@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to carbonated beverage <ramune@net-ronin.org>:
New Bug report received and forwarded. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: carbonated beverage <ramune@net-ronin.org>
To: submit@bugs.debian.org
Subject: tetex-bin fails installation due to xdvi configuration
Date: Sat, 14 Feb 2004 16:58:05 -0800
Package: tetex-bin
Version: 2.0.2-5

testing distribution, Sparc, Ultra 5

tetex-bin doesn't finish the post-install step correctly as
it can't find the /etc/X11/app-default/XDvi file.

Doing a 'touch' and creating an empty one got it to successfully
install.

When the failure occurs (was upgrading from stable->testing), the
ps output shows dialog being called to inform the user, but no
dialog box was visible on the root console.  Hitting 'return',
though, did select whatever the button on the box was and
abort the process.

-- DN
Daniel



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: carbonated beverage <ramune@net-ronin.org>
Cc: 232725@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin fails installation due to xdvi configuration
Date: Sun, 15 Feb 2004 13:44:58 +0100
carbonated beverage <ramune@net-ronin.org> schrieb:

> Package: tetex-bin
> Version: 2.0.2-5
>
> testing distribution, Sparc, Ultra 5
>
> tetex-bin doesn't finish the post-install step correctly as
> it can't find the /etc/X11/app-default/XDvi file.
>
> Doing a 'touch' and creating an empty one got it to successfully
> install.
>
> When the failure occurs (was upgrading from stable->testing), the
> ps output shows dialog being called to inform the user, but no
> dialog box was visible on the root console.  Hitting 'return',
> though, did select whatever the button on the box was and
> abort the process.

This is really strange. /etc/X11/app-default/XDvi is not handled at all
in tetex-bin, only in tetex-base. And all that is done about it is done
when building the package - there is no postinst or config work on it.

Furthermore, no dialog should be displayed in tetex-bin's (or
tetex-base's) postinst. Dialogs are only displayed by debconf, when
running the config script before unpacking. However, config is run
again by postinst if it failed in the first place - but then there might
be a different problem with the config srcipt.

Are you sure that the problem occured with tetex-bin, and that it was in
the post-install step?

Which package of tetex-base do you have installed?

Regards, Frank

-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to carbonated beverage <ramune@net-ronin.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: carbonated beverage <ramune@net-ronin.org>
To: Frank K?ster <frank@kuesterei.ch>
Cc: 232725@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin fails installation due to xdvi configuration
Date: Mon, 16 Feb 2004 00:07:35 -0800
On Sun, Feb 15, 2004 at 01:44:58PM +0100, Frank K?ster wrote:
> Are you sure that the problem occured with tetex-bin, and that it was in
> the post-install step?
> 
> Which package of tetex-base do you have installed?

I tried doing:
apt-get remote tetex-bin tetex-base tetex-extra
dpkg --purge tetex-bin
dpkg --purge tetex-base
apt-get install tetex-bin tetex-base tetex-extra dvi2ps cjk-latex

And now, I don't get that error, though tetex-extra is failing in postinst
(will open a bug on that after this mail.)

tetex-base was 2.0.2-5.1 when I encountered that error, and this one, too,
though I was upgrading from woody via apt.

Checked the package contents through the web form, and saw XDvi in tetex-base
there, too, so I don't know what's going on.  You can close the bug, and I'll
re-open with more information if I manage to reproduce it.

Thanks,

-- DN
Daniel



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to carbonated beverage <ramune@net-ronin.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at submit@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: carbonated beverage <ramune@net-ronin.org>
Cc: 232725@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin fails installation due to xdvi configuration
Date: Mon, 16 Feb 2004 09:48:03 +0100
carbonated beverage <ramune@net-ronin.org> wrote:

> Checked the package contents through the web form, and saw XDvi in tetex-base
> there, too, so I don't know what's going on.  You can close the bug, and I'll
> re-open with more information if I manage to reproduce it.

The usual procedure is that if a bug is closed without the package being
changed, closing is done by the submitter. You just need to send an
e-mail to 232725-done@bugs.debian.org

Thank you in advance, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Reply sent to carbonated beverage <ramune@net-ronin.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to carbonated beverage <ramune@net-ronin.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 232725-done@bugs.debian.org (full text, mbox):

From: carbonated beverage <ramune@net-ronin.org>
To: 232725-done@bugs.debian.org
Date: Mon, 16 Feb 2004 00:58:09 -0800


Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Lars Brueckner <brueckner@ito.tu-darmstadt.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 232725@bugs.debian.org (full text, mbox):

From: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
To: Debian Bug Tracking System <232725@bugs.debian.org>
Subject: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Fri, 05 Mar 2004 09:53:23 +0100
Package: tetex-bin
Version: 2.0.2-9
Severity: normal
Followup-For: Bug #232725

Hello,

I had the same problems with tetex-bin described here when
I tried to upgrade from 2.0.2-7 to 2.0.2-8.
Setting up tetex-bin hangs forever 
I could work around it by creating an empty /etc/X11/app-defaults/XDvi
as described above. 
I removed the empty file after the upgrade, and now with todays
upgrade to 2.0.2-9 the problem is here again.

pstree -apl reveals the following:

  |   |-kdeinit,1327
  |   |   |-bash,1340
  |   |   |   `-bash,1419
  |   |   |       `-apt-get,1511 upgrade
  |   |   |           `-dpkg,2340 --configure debconf debconf-i18n libkpathsea3 tetex-bin passwd libdb4.2 libdb4.2-dev cdda2wav cdrecord debconf-utilsgrep-dct
  |   |   |               `-frontend,2513 -w /usr/share/debconf/frontend /var/lib/dpkg/info/tetex-bin.postinst configure 2.0.2-8
  |   |   |                   `-tetex-bin.posti,2559 /var/lib/dpkg/info/tetex-bin.postinst configure 2.0.2-8
  |   |   |                       `-texconfig,2982 /usr/bin/texconfig init
  |   |   |                           `-dialog,3019 --title teTeX\040setup\040utility --msgbox Could\040not\040find\040app-default\040file\040for\040xdvi.\012\012The\040program\040will\040exit\040now. . 23 80
  |   |   `-bash,3075

Don't know much about dpkg, but why is has the 
tetex-bin.postinst 2.0.2-8 as parameter instead of 2.0.2-9? 

Pressing enter in the installation console gives an
error:

Richte tetex-bin ein (2.0.2-9) ...
Regenerating /var/lib/texmf/web2c/texmf.cnf ... done
Regenerating /var/lib/texmf/web2c/fmtutil.cnf ... done
Regenerating /var/lib/texmf/web2c/updmap.cfg ... done
Running initex. This may take some time. ...
** Hangs forever here until pressing enter **
dpkg: Fehler beim Bearbeiten von tetex-bin (--configure):
 Unterprozess post-installation script gab den Fehlerwert 1 zur%/1€Œiso8859-15ück

Hope that helps.

Thanks for Debian.

Lars

 
-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (333, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.25murphy1
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages tetex-bin depends on:
pn  debconf                                  Not found.
ii  debianutils                 2.7.2        Miscellaneous utilities specific t
ii  dpkg                        1.10.18.1    Package maintenance system for Deb
ii  ed                          0.2-20       The classic unix line editor
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.3.3-1    GCC support library
ii  libice6                     4.3.0-3      Inter-Client Exchange library
ii  libkpathsea3                2.0.2-9      path search library for teTeX (run
ii  libpaper1                   1.1.14       Library for handling paper charact
ii  libpng12-0                  1.2.5.0-5    PNG library - runtime
ii  libsm6                      4.3.0-3      X Window System Session Management
ii  libstdc++5                  1:3.3.3-1    The GNU Standard C++ Library v3
ii  libt1-5                     5.0.0-5      Type 1 font rasterizer library - r
ii  libwww-ssl0 [libwww0]       5.4.0-9      The W3C-WWW library (SSL support)
ii  libx11-6                    4.3.0-3      X Window System protocol client li
ii  libxaw7                     4.3.0-3      X Athena widget set library
ii  libxext6                    4.3.0-3      X Window System miscellaneous exte
ii  libxmu6                     4.3.0-3      X Window System miscellaneous util
ii  libxt6                      4.3.0-3      X Toolkit Intrinsics
ii  mime-support                3.26-1       MIME files 'mime.types' & 'mailcap
ii  perl                        5.8.3-2      Larry Wall's Practical Extraction 
ii  sed                         4.0.7-4      The GNU sed stream editor
ii  tetex-base                  2.0.2-6      Basic library files of teTeX
ii  xlibs                       4.3.0-3      X Window System client libraries m
ii  zlib1g                      1:1.2.1-4    compression library - runtime

-- debconf information:
* tetex-bin/upd_map: true
* tetex-bin/cnf_name: 
* tetex-bin/fmtutil: true
* tetex-bin/userperm: false
* tetex-bin/texmf: true
* tetex-bin/hyphen: ngerman[=naustrian-neue_Rechtschreibung], french[=patois], british
  tetex-bin/oldcfg: true
* tetex-bin/use_debconf: true
* tetex-bin/groupname: itostaff
* tetex-bin/groupperm: true
* tetex-bin/lsr-perms: true



Bug reopened, originator set to Lars Brueckner <lars.brueckner@ito.tu-darmstadt.de>. Request was from Lars Brueckner <lars.brueckner@ito.tu-darmstadt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 232725@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
Cc: 232725@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Fri, 05 Mar 2004 10:59:40 +0100
Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:

> Package: tetex-bin
> Version: 2.0.2-9
> Severity: normal
> Followup-For: Bug #232725
>
> Hello,
>
> I had the same problems with tetex-bin described here when
> I tried to upgrade from 2.0.2-7 to 2.0.2-8.
> Setting up tetex-bin hangs forever 
> I could work around it by creating an empty /etc/X11/app-defaults/XDvi
> as described above. 
> I removed the empty file after the upgrade, and now with todays
> upgrade to 2.0.2-9 the problem is here again.
>
> pstree -apl reveals the following:
>
>   |   |-kdeinit,1327
>   |   |   |-bash,1340
>   |   |   |   `-bash,1419
>   |   |   |       `-apt-get,1511 upgrade
>   |   |   |           `-dpkg,2340 --configure debconf debconf-i18n libkpathsea3 tetex-bin passwd libdb4.2 libdb4.2-dev cdda2wav cdrecord debconf-utilsgrep-dct
>   |   |   |               `-frontend,2513 -w /usr/share/debconf/frontend /var/lib/dpkg/info/tetex-bin.postinst configure 2.0.2-8
>   |   |   |                   `-tetex-bin.posti,2559 /var/lib/dpkg/info/tetex-bin.postinst configure 2.0.2-8
>   |   |   |                       `-texconfig,2982 /usr/bin/texconfig init
>   |   |   |                           `-dialog,3019 --title teTeX\040setup\040utility --msgbox Could\040not\040find\040app-default\040file\040for\040xdvi.\012\012The\040program\040will\040exit\040now. . 23 80
>   |   |   `-bash,3075
>
> Don't know much about dpkg, but why is has the 
> tetex-bin.postinst 2.0.2-8 as parameter instead of 2.0.2-9? 

This is normal, postinst is called like this:

     postinst configure most-recently-configured-version

(see
http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-configdetails). 

But your pstree output really helps, thank you! What wants to display
the dialog is not the postinst, but the texconfig program called by it. 

I would like to know the output of a couple of commands from you:

echo $XDVIINPUTS
XDVIINPUTS=':/usr/share/texmf/{xdvi,web2c}' kpsewhich  -progname=xdvi --format='other text files' XDvi
XDVIINPUTS="$XDVIINPUTS":'$TEXMF/{xdvi,web2c}' kpsewhich  -progname=xdvi --format='other text files' XDvi

And an output of ls -l for the files in the output of the previous two
commands 

Thank you, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Lars Brueckner <brueckner@ito.tu-darmstadt.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 232725@bugs.debian.org (full text, mbox):

From: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
To: Frank Küster <frank@debian.org>
Cc: 232725@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Fri, 5 Mar 2004 11:30:02 +0100
Am Freitag, 5. März 2004 10:59 schrieb Frank Küster:

> the dialog is not the postinst, but the texconfig program called by it.
>
> I would like to know the output of a couple of commands from you:
>
> echo $XDVIINPUTS
> XDVIINPUTS=':/usr/share/texmf/{xdvi,web2c}' kpsewhich  -progname=xdvi
> --format='other text files' XDvi
> XDVIINPUTS="$XDVIINPUTS":'$TEXMF/{xdvi,web2c}' kpsewhich  -progname=xdvi
> --format='other text files' XDvi
>
> And an output of ls -l for the files in the output of the previous two
> commands
>

That doesn't look very informative:

murphy:/# mkdir /tmp/bugtest
murphy:/# cd /tmp/bugtest/
murphy:/tmp/bugtest# echo $XDVIINPUTS

murphy:/tmp/bugtest# XDVIINPUTS=':/usr/share/texmf/{xdvi,web2c}' kpsewhich  -progname=xdvi --format='other text files' XDvi
murphy:/tmp/bugtest# XDVIINPUTS="$XDVIINPUTS":'$TEXMF/{xdvi,web2c}' kpsewhich  -progname=xdvi --format='other text files' XDvi
murphy:/tmp/bugtest# ls -l
insgesamt 0
murphy:/tmp/bugtest#

No output, no files created. Did I misunderstand you?

Lars





Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 232725@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
Cc: 232725@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Fri, 05 Mar 2004 12:53:05 +0100
Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:

> Am Freitag, 5. März 2004 10:59 schrieb Frank Küster:
>
> That doesn't look very informative:
>
> murphy:/# mkdir /tmp/bugtest
> murphy:/# cd /tmp/bugtest/
> murphy:/tmp/bugtest# echo $XDVIINPUTS
>
> murphy:/tmp/bugtest# XDVIINPUTS=':/usr/share/texmf/{xdvi,web2c}' kpsewhich  -progname=xdvi --format='other text files' XDvi
> murphy:/tmp/bugtest# XDVIINPUTS="$XDVIINPUTS":'$TEXMF/{xdvi,web2c}' kpsewhich  -progname=xdvi --format='other text files' XDvi

That _does_ help. Next question:

ls -l /usr/share/texmf/xdvi/
dlocate -L tetex-base | grep -i xdvi
locate tetex-base_2.0.2-6

And if the last command does find some deb package: Is this (probably)
the one you installed from? What does 

dpkg -c /path/to/package/tetex-base_2.0.2-6_all.deb | grep -i xdvi

give?

Regards, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Lars Brueckner <brueckner@ito.tu-darmstadt.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 232725@bugs.debian.org (full text, mbox):

From: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
To: Frank Küster <frank@debian.org>
Cc: 232725@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Fri, 5 Mar 2004 18:10:01 +0100
Am Freitag, 5. März 2004 12:53 schrieb Frank Küster:
>
> That _does_ help. Next question:
>
> ls -l /usr/share/texmf/xdvi/
> dlocate -L tetex-base | grep -i xdvi
> locate tetex-base_2.0.2-6
>
murphy:/tmp/bugtest# ls -l /usr/share/texmf/xdvi/
insgesamt 4
lrwxrwxrwx    1 root     root           26 2004-03-01 10:52 XDvi -> /etc/X11/app-defaults/XDvi
-rw-r--r--    1 root     root         1494 2004-03-04 05:38 xdvi.cfg

murphy:/tmp/bugtest# dlocate -L tetex-base | grep -i xdvi
/usr/share/texmf/xdvi
/etc/X11/app-defaults/XDvi
/usr/share/texmf/xdvi/XDvi

murphy:/tmp/bugtest# locate tetex-base_2.0.2-6
/var/cache/apt/archives/tetex-base_2.0.2-6_all.deb

> And if the last command does find some deb package: Is this (probably)
> the one you installed from? What does

Yes,
murphy:/tmp/bugtest# dpkg -l | grep tetex-base
ii  tetex-base     2.0.2-6        Basic library files of teTeX

>
> dpkg -c /path/to/package/tetex-base_2.0.2-6_all.deb | grep -i xdvi
>
murphy:/tmp/bugtest#  dpkg -c /var/cache/apt/archives/tetex-base_2.0.2-6_all.deb  | grep -i xdvi
drwxr-xr-x root/root         0 2004-02-27 16:09:05 ./usr/share/texmf/xdvi/
-rw-r--r-- root/root       126 1999-02-13 22:32:16 ./etc/X11/app-defaults/XDvi
lrwxrwxrwx root/root         0 2004-02-27 16:09:05 ./usr/share/texmf/xdvi/XDvi -> /etc/X11/app-defaults/XDvi


Regards,
Lars





Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 232725@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
Cc: 232725@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Fri, 05 Mar 2004 19:58:11 +0100
Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:

> Am Freitag, 5. März 2004 12:53 schrieb Frank Küster:
>>
>> That _does_ help. Next question:
>>
>> ls -l /usr/share/texmf/xdvi/
>> dlocate -L tetex-base | grep -i xdvi
>> locate tetex-base_2.0.2-6
>>
> murphy:/tmp/bugtest# ls -l /usr/share/texmf/xdvi/
> insgesamt 4
> lrwxrwxrwx    1 root     root           26 2004-03-01 10:52 XDvi -> /etc/X11/app-defaults/XDvi
> -rw-r--r--    1 root     root         1494 2004-03-04 05:38 xdvi.cfg

And I assume the link target exists, as suggested by dlocate -L. So the
question is: Why does kpathsea not find the file? I think the answer
will be in 

kpsewhich texmf.cnf

which should be

/usr/share/texmf/web2c/texmf.cnf

while

ls -l /usr/share/texmf/web2c
lrwxrwxrwx    1 root     root           20 2004-03-01 12:35 /usr/share/texmf/web2c -> /var/lib/texmf/web2c

Could you send us the contents of that file?

Regards, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Lars Brueckner <brueckner@ito.tu-darmstadt.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 232725@bugs.debian.org (full text, mbox):

From: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
To: Frank Küster <frank@debian.org>
Cc: 232725@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Mon, 8 Mar 2004 11:06:49 +0100
[Message part 1 (text/plain, inline)]
Am Freitag, 5. März 2004 19:58 schrieb Frank Küster:
> Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:
> > Am Freitag, 5. März 2004 12:53 schrieb Frank Küster:
> >> That _does_ help. Next question:
> >>
> >> ls -l /usr/share/texmf/xdvi/
> >> dlocate -L tetex-base | grep -i xdvi
> >> locate tetex-base_2.0.2-6
> >
> > murphy:/tmp/bugtest# ls -l /usr/share/texmf/xdvi/
> > insgesamt 4
> > lrwxrwxrwx    1 root     root           26 2004-03-01 10:52 XDvi ->
> > /etc/X11/app-defaults/XDvi -rw-r--r--    1 root     root         1494
> > 2004-03-04 05:38 xdvi.cfg
>
> And I assume the link target exists, as suggested by dlocate -L. So the
> question is: Why does kpathsea not find the file? I think the answer
> will be in
>

The link target does not exist (creating an empty file was the work-around).
However, I think it was my fault. I had some troubles with X and I may have
corrupted the whole /etc/X11/ during fixing this.

> kpsewhich texmf.cnf
>
> which should be
>
> /usr/share/texmf/web2c/texmf.cnf
>
> while
>
> ls -l /usr/share/texmf/web2c
> lrwxrwxrwx    1 root     root           20 2004-03-01 12:35
> /usr/share/texmf/web2c -> /var/lib/texmf/web2c
>
> Could you send us the contents of that file?

I attached that file for the reference, but I think the problem is on my side.
Funny that some else had the same "problem" at the same time.

I tried to apt-get install --reinstall tetex-base , but that got stuck too
because initex got stuck at the same place.

So I recreated the empty /etc/X11/app-defaults/XDvi to complete the
installation.

Maybe initex could be modified to give a clear error message and 
fail/complete it's task more gracefully.

Sorry for the mess,
Lars
  
[texmf.cnf (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#232725; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 232725@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Lars Brueckner <brueckner@ito.tu-darmstadt.de>
Cc: 232725@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Tue, 09 Mar 2004 14:23:31 +0100
Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:

> Am Freitag, 5. März 2004 19:58 schrieb Frank Küster:
>> Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:
>> > Am Freitag, 5. März 2004 12:53 schrieb Frank Küster:
>> >> That _does_ help. Next question:
>> >>
>> >> ls -l /usr/share/texmf/xdvi/
>> >> dlocate -L tetex-base | grep -i xdvi
>> >> locate tetex-base_2.0.2-6
>> >
>> > murphy:/tmp/bugtest# ls -l /usr/share/texmf/xdvi/
>> > insgesamt 4
>> > lrwxrwxrwx    1 root     root           26 2004-03-01 10:52 XDvi ->
>> > /etc/X11/app-defaults/XDvi -rw-r--r--    1 root     root         1494
>> > 2004-03-04 05:38 xdvi.cfg
>>
>> And I assume the link target exists, as suggested by dlocate -L. So the
>> question is: Why does kpathsea not find the file? I think the answer
>> will be in
>>
>
> The link target does not exist (creating an empty file was the work-around).
> However, I think it was my fault. I had some troubles with X and I may have
> corrupted the whole /etc/X11/ during fixing this.

This might well be, but it isn't your fault that this stops the whole
installation. 

> So I recreated the empty /etc/X11/app-defaults/XDvi to complete the
> installation.
>
> Maybe initex could be modified to give a clear error message and 
> fail/complete it's task more gracefully.

It's the texconfig script that fails, and it _has_ a check and a clear
error message. It seems we are missing a dependency on a dialog
program. Could you please provide the output of

debconf-show debconf
dpkg -l dialog whiptail

Thank you.

Regards, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Bug 232725 cloned as bug 237060. Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `minor'. Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to tetex-pretest@dbs.uni-hannover.de. Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Sat, 04 Sep 2010 14:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#237060; Package tetex-bin. (Sun, 05 Dec 2010 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 05 Dec 2010 12:48:03 GMT) Full text and rfc822 format available.

Message #99 received at 237060@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Frank Küster <frank@debian.org>, 237060@bugs.debian.org
Subject: Re: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Sun, 5 Dec 2010 13:44:00 +0100
On 09.03.04 Frank Küster (frank@debian.org) wrote:
> Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:
> > Am Freitag, 5. März 2004 19:58 schrieb Frank Küster:
> >> Lars Brueckner <brueckner@ito.tu-darmstadt.de> schrieb:
> >> > Am Freitag, 5. März 2004 12:53 schrieb Frank Küster:

Hi,

This is about http://bugs.debian.org/237060

Resend to correct bug. Taking out Lars Brückner, adress is dead.

For any reason the submitter has corrupted/removed his
/etc/X11/app-default/XDvi which made the installation of tetex-bin
fail.

I had a look at the actual situation in TeX Live 2009: the file does
not exist any more in TL. The only file named XDvi is in
/etc/texmf/xdvi . I renamed the file and run mktexlsr. Nevertheless
"texconfig-sys init" run through fine. So I guess the situation has
been resolved.

Can we close this issue or should we reassign it to texlive-binaries?

> >> >> That _does_ help. Next question:
> >> >>
> >> >> ls -l /usr/share/texmf/xdvi/
> >> >> dlocate -L tetex-base | grep -i xdvi
> >> >> locate tetex-base_2.0.2-6
> >> >
> >> > murphy:/tmp/bugtest# ls -l /usr/share/texmf/xdvi/
> >> > insgesamt 4
> >> > lrwxrwxrwx    1 root     root           26 2004-03-01 10:52 XDvi ->
> >> > /etc/X11/app-defaults/XDvi -rw-r--r--    1 root     root         1494
> >> > 2004-03-04 05:38 xdvi.cfg
> >>
> >> And I assume the link target exists, as suggested by dlocate -L. So the
> >> question is: Why does kpathsea not find the file? I think the answer
> >> will be in
> >>
> >
> > The link target does not exist (creating an empty file was the work-around).
> > However, I think it was my fault. I had some troubles with X and I may have
> > corrupted the whole /etc/X11/ during fixing this.
> 
> This might well be, but it isn't your fault that this stops the whole
> installation. 
> 
> > So I recreated the empty /etc/X11/app-defaults/XDvi to complete the
> > installation.
> >
> > Maybe initex could be modified to give a clear error message and 
> > fail/complete it's task more gracefully.
> 
> It's the texconfig script that fails, and it _has_ a check and a clear
> error message.
> 

H.
-- 
sigmentation fault




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#237060; Package tetex-bin. (Mon, 06 Dec 2010 20:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 06 Dec 2010 20:30:06 GMT) Full text and rfc822 format available.

Message #104 received at 237060@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Hilmar Preusse <hille42@web.de>
Cc: 237060@bugs.debian.org
Subject: Re: Bug#237060: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Mon, 06 Dec 2010 21:28:51 +0100
Hilmar Preusse <hille42@web.de> wrote:

> Can we close this issue or should we reassign it to texlive-binaries?

I agree that we should close it.

Regards, Frank

-- 
Dr. Frank Küster
VCD Miltenberg, ADFC Aschaffenburg-Miltenberg
B90/Grüne KV Miltenberg
Debian Developer (TeXLive)




Reply sent to Hilmar Preusse <hille42@web.de>:
You have taken responsibility. (Mon, 06 Dec 2010 21:18:12 GMT) Full text and rfc822 format available.

Notification sent to Lars Brueckner <lars.brueckner@ito.tu-darmstadt.de>:
Bug acknowledged by developer. (Mon, 06 Dec 2010 21:18:12 GMT) Full text and rfc822 format available.

Message #109 received at 237060-done@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Frank Küster <frank@debian.org>, 237060-done@bugs.debian.org
Subject: Re: Bug#237060: Bug#232725: tetex-bin: Got the same error with 2.0.2-8 and 2.0.2-9
Date: Mon, 6 Dec 2010 22:15:23 +0100
Version: 2007-1

On 06.12.10 Frank Küster (frank@debian.org) wrote:
> Hilmar Preusse <hille42@web.de> wrote:

> > Can we close this issue or should we reassign it to
> > texlive-binaries?
> 
> I agree that we should close it.
> 
Doing so. TL 2007 has the bug fix probably too.

H.
-- 
sigmentation fault




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Jan 2011 07:35:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:09:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.